io.milvus.v2.service.vector.request.ranker

## Class RRFRanker

- java.lang.Object
- - io.milvus.v2.service.vector.request.ranker.BaseRanker
  - - io.milvus.v2.service.vector.request.ranker.RRFRanker

    public class RRFRanker
    extends BaseRanker

The RRF reranking strategy, which merges results from multiple searches, favoring items that consistently appear.

### Constructor Summary

Constructors
Constructor and Description
`RRFRanker(int k)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,java.lang.String>` `getProperties()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RRFRanker

    public RRFRanker(int k)

### Method Detail

#### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

Specified by:
  `getProperties` in class `BaseRanker`